#!/usr/local/bin/perl -w
# FileCache-example.pl -- FileCache ermoeglicht mehr offene Dateien,
#                         als das System erlaubt.

use FileCache;              # Standardmodul

# Erzeuge ein Verzeichnis mit VIELEN Dateien:
mkdir("manyfiles", 0755) or die "can't mkdir: $!\n";
chdir("manyfiles") or die "can't chdir: $!\n";
foreach $fname (1 .. 500) {   # 500 > NOFILES
    cacheout $fname;
}

# Benutzer nach Dateinamen fragen
#   und anschliessend einige Daten dort hineinschreiben.
@data = ("this is some data\n", "this is more data\n");
while (defined ($candidate = <STDIN>)) {
    chomp $candidate;       # Name der Datei
    cacheout $candidate;    # Transparent wieder oeffnen
    print $candidate @data; # Die Datei ist tatsaechlich offen
}

# Wir brauchen nichts zu schliessen;
#   dies geschieht beim Programmende automatisch.
