# TimeGreeting2.pm -- TIESCALAR-Klasse zum zeitabhaengigen Gruss
#                     mit Speicherung des zu gruessenden Namens.

package TimeGreeting2;
use Tie::Scalar;
use vars qw(@ISA);

@ISA = qw(Tie::StdScalar);

sub FETCH {
    my $self = shift;
    my $hh   = (localtime(time()))[2];
    my $val  = ", ${ $self }\n";

    if ($hh < 6 or $hh > 23) {
	$val = "Wow, you're up late" . $val;
    } elsif ($hh < 12) {
	$val = "Good morning" . $val;
    } elsif ($hh < 18) {
	$val = "Good afternoon" . $val;
    } else {
	$val = "Good evening" . $val;
    }

    return $val;
}

sub STORE {
    my $self = shift;
    my $user = shift;

    ${ $self } = $user;
}

1;
