# apack.pl -- Zeigt die Verwendung von privaten Variablen.
#             Diese Datei wird z.B. von atest.pl eingelesen

package mypack;           # Ein eigener Namensraum

my $privvar;              # Privat zu diesem Package
$globvar = "initvalue";   # Kann von aussen erreicht werden

# Diese Funktion kann von ausserhalb aufgerufen werden
sub f1 {
    ++$privvar;
    print "Called $privvar times...\n";
    print "Current globvar: $globvar\n";
}

1;  # Damit require() bzw. use() des Aufrufers nicht misslingt.
