#!/usr/local/bin/perl
# bigfloatscale.pl -- Objektorientierte Schnittstelle zu Math::BigFloat.
#                     Bessere Kontrolle ueber die Zahl der
#                     relevanten Dezimalstellen.

use Math::BigFloat;                   # Standardmodul

my $eins = Math::BigFloat->new('1.0');
my $drei = Math::BigFloat->new('3.0');

$eins_durch_drei_10 = $eins->fdiv($drei, 10);
$eins_durch_drei_30 = $eins->fdiv($drei, 30);

print '1.0 / 3.0 (10 Stellen) == ', $eins_durch_drei_10, "\n";
print '1.0 / 3.0 (30 Stellen) == ', $eins_durch_drei_30, "\n";
