%token number
%token eol
%token opplus
%token opminus
%token optimes
%token opdiv
%token braceopen
%token braceclose
%%
LINES	: LINES EXPR eol	{ print "Result: ", $2, "\n";
                                  $$ = $2; }
	| LINES eol
	|
	;

EXPR	: EXPR opplus  TERM	{ $$ = $1 + $3; }
	| EXPR opminus TERM	{ $$ = $1 - $3; }
	| TERM
	;

TERM	: TERM optimes FACTOR	{ $$ = $1 * $3; }
	| TERM opdiv   FACTOR   { $$ = $3 == 0 ? "undef" : $1/$3; }
	| FACTOR
	;

FACTOR	: braceopen EXPR braceclose   { $$ = $2; }
	| number
	;
%%