#!/usr/local/bin/perl -w
# db-placeholder.pl -- SQL-Befehle mit Platzhaltern in Perl

use DBI;

# Einloggen:
$dbh = DBI->connect("DBI:mysql:mydbase", "manager", "mgrpass");
die "Error: $DBI::errstr\n" unless $dbh;

# Ein SQL-Befehl mit Platzhaltern:
$sql = "INSERT INTO kunden VALUES (?, ?, ?, ?, ?, ?)";

# Senden wir den Befehl schon einmal zum Datenbankserver:
$sth = $dbh->prepare($sql);
die "Error: $DBI::errstr\n" if $DBI::err;

# Nun fuellen wir die Platzhalter und senden die Parameter
# zum Datenbankserver:
while (<DATA>) {
    chomp; @field_values = split(/;/);
    $sth->execute(@field_values);      # Daten senden!
    warn "Warning: $DBI::errstr\n" if $DBI::err;
}

# Das war's, Leute!
$sth->finish();
$dbh->disconnect();

__DATA__
0;dname1;dvname1;123.232.121;dummy weg 111;99999;
0;dname2;dvname2;321.232.121;dummy strasse;99999;
0;dname3;dvname3;444.555.666;dummy allee 1;99999;
