#!/usr/local/bin/perl -w
# localuse.pl -- Eine sinnvolle Verwendung von local()-Variablen

for $i ( 0 .. 10 ) {
    local $count = 0;                    # Aufrufzaehler
    ($result, $ncounts) = fib($i);       # Fibonacci von 10 ausrechnen
    print "fib($i) == $result, after $ncounts calls\n";
}

sub fib {
    my $n = shift;                      # Parameter von fib()

    ++$count;                           # dynamische Veraenderung
    return (1,$count) if $n == 0 or $n == 1;
    return (fib($n-1) + fib($n-2), $count);
}
