#!/usr/local/bin/perl -w
# lwp-uaRobotUA.pl -- Seite anfordern unter Beruecksichtigung
#                     des Robots-Exclusion-Standards

use LWP::RobotUA;
use HTTP::Request;
use HTTP::Response;

use constant ROBOTNAME  => 'Mega-Searcher';
use constant ROBOTADMIN => 'me@somewhere.far.away';

$url = $ARGV[0] || "http://cnn.com/";

$ua  = new LWP::RobotUA(ROBOTNAME,
                        ROBOTADMIN);

$req = new HTTP::Request 'GET' => "$url";
$res = $ua->request($req);

$result = $res->is_success() ? 
    $res->content() :
    "Error: " . $res->code() . " " . $res->message();

print "$result\n";
