#!/usr/local/bin/perl -w
# lwp-uaproxy.pl -- Anfordern einer Seite durch einen Proxyserver

use LWP::UserAgent;

$url   = $ARGV[0] || "http://free.server.com/wanna/get/here";
$proxy = $ARGV[1] || "http://dumb.isp.net:8000/";

$ua  = new LWP::UserAgent;

$ua->proxy('http' => "$proxy");
# $ua->noproxy('mydomain.net');

$req = new HTTP::Request 'GET' => "$url";
$res = $ua->request($req);

$result = $res->is_success() ? 
    $res->content() :
    "Error: " . $res->code() . " " . $res->message();

print "$result\n";
