#!/usr/local/bin/perl -w
# mylocal.pl -- Unterschied zwischen my und local

$var = "Globaler Wert";               # Globale Variable
print "Global vor local-Aenderungen: >$var<\n\n";

# Der erste Block ist ein dynamisches local:
{
    local $var;                         # dynamisches Scoping
    $var = "Dynamischer Wert";          # Veraendert lokale Variable
    print "Dynamisch vorher: >$var<\n"; # >Dynamischer Wert<
    myvar();                            # Lesen und veraendern
    print "Dynamisch danach: >$var<\n"; # >Veraendert zu myvar<
}
print "Global nach local-Aenderungen: >$var<\n\n"; # >Globaler Wert<

# Der folgende Block ist ein lexikalisches my:
{
    my $var;                              # lexikalisches Scoping
    $var = "Lexikalischer Wert";          # Veraendert my-Variable
    print "Lexikalisch vorher: >$var<\n"; # >Lexikalischer Wert<
    myvar();                      # Lesen und veraendern? VORSICHT!
    print "Lexikalisch danach: >$var<\n"; # >Lexikalischer Wert<
}
print "Global nach my-Aenderungen: >$var<\n"; # >Veraendert zu myvar<

# Die subroutine liest und veraendert $var
sub myvar {
    print "myvar(): >$var<\n";
    $var = "Veraendert zu myvar";
    print "myvar(): -> >$var<\n";
}
