#!/usr/local/bin/perl -w
# myxsub.pl -- Ruft XSUBs aus dem ST::Xten-Erweiterungsmodul auf.

use ST::Xten qw(v_norm1 v_norm2 v_norminf v_normalize);

while (<DATA>) {
    chomp;
    my @vector = split(/,/);
    my $vvalue = join(":", @vector);

    print "v_norm1($vvalue)     = ", v_norm1(@vector),   "\n";
    print "v_norm2($vvalue)     = ", v_norm2(@vector),   "\n";
    print "v_norminf($vvalue)   = ", v_norminf(@vector), "\n";

    my @normalized = v_normalize(@vector);
    my $nvalue     = join(":", map { sprintf("%.2g", $_) } @normalized);
    print "v_normalize($vvalue) = \n\t$nvalue", "\n"; 

    print "\n";
}

__DATA__
13,17,-0.3,19,-6,7,9
0,2,1,6,3,6,7.2,11,7,6
-0.1,7,-6,-11,3.1415,99,0.1e-3
