#!/usr/local/bin/perl -w
# pipe-uni.pl -- Zeigt unidirektionale Pipes Eltern => Kind

pipe READFD, WRITEFD;                    # Perl-Pipe anlegen

# Pufferung auf Schreib-Filehandles ausschalten!
$oh = select(WRITEFD); $|=1; select($oh);

if (fork()) {
    # Elternprozess schreibt in die Pipe
    close(READFD);    # Diese Seite brauchen wir nicht
    print WRITEFD "That's your Homework\n";
    wait();           # Auf Beendigung des Kindes warten
} else {
    # Kindprozess liest aus der Pipe
    close(WRITEFD);   # Diese Seite brauchen wir nicht
    chomp($work = <READFD>);
    print "Child: Got work: >$work<\n";
    exit(0);          # "Ich habe fertig!"
}

print "Parent: Leaving...\n";
