/* prog.c -- Ein einfaches C-Programm mit der Perl-Library */

/*
 * Dieses Programm uebersetzen Sie am besten wie folgt:
 * gcc -o prog prog.c `perl -MExtUtils::Embed -e ccopts -e ldopts`
 *
 */

#include <EXTERN.h>
#include <perl.h>

static PerlInterpreter *my_perl;   /* Eine Instanz des Interpreters */
int main(int argc, char *argv[], char *env[]) {
  my_perl = perl_alloc();          /* Platz fuer Interpreter     */
  perl_construct(my_perl);         /* Interpreter initialisieren */

  /* Das auf der Kommandozeile oder von der Standardeingabe      */
  /* angegebene Perl-Programm parsen und in das interne Format   */
  /* kompilieren. Wenn kein Programm benoetigt wird, kann auch   */
  /* "./prog -e 0" auf der Kommandozeile angegeben werden.       */
  perl_parse(my_perl, NULL, argc, argv, (char **)NULL);

  /* Hier kommen eigene API-Aufrufe */

  /* Nun kann das geparste Programm gestartet werden. */
  /* Alternativ koennen hier auch Subroutinen direkt  */
  /* aufgerufen werden usw.                           */
  perl_run(my_perl);

  /* Wir sind fertig! */
  perl_destruct(my_perl);    /* Rufe alle Destruktoren auf, GC... */
  perl_free(my_perl);        /* Platz fuer Interpreter freigeben  */

  printf("hi! call ldd(1) on me!\n");
  return 0;
}
