#!/usr/local/bin/perl -w
# quickloopsquit.pl -- next und last innerhalb von Schleifen.

# Der Operator "last" verlaesst die Schleife.
# Beispiel: Zaehle Anzahl der Dateien vor der ersten
#           Datei, die groesser als 50 Kbyte ist:
foreach my $file (sort </usr/include/*>) {
    ++$nfiles;
    last if -s $file > 50*1024;  # Raus, wenn Dateigroesse > 50 Kbyte.
}
print "Nr. of Files before the first file >50 Kbyte: $nfiles\n";

# Der Operator "next" springt wieder an den Anfang
# der Schleife zurueck.
# Beispiel: Zeige alle Dateien groesser gleich 40 Kbyte an.
foreach my $file (sort </usr/include/*>) {
    next if -s $file < 40*1024;  # Interessiert uns nicht.
    print $file, "\t", -s $file, "\n";
}
