#!/usr/local/bin/perl
# random-trulyrandom.pl -- Math::TrulyRandom (CPAN) fuer bessere Seeds.

use Math::TrulyRandom;                 # CPAN-Modul

$random_seed = truly_random_value();   # 'Zufaelligere' Zahl
srand($random_seed);                   # Damit den RNG initialisieren!

for (1 .. 5) { print rand(), "\n"; }   # Hoffentlich echt zufaellig.

# Hinweis: truly_random_value() ist sehr langsam, da es u.a. die Zeit
#          zwischen Interrupts misst und somit nur wenige Zufallszahlen
#          innerhalb einer gewissen Zeit erzeugt.
#          Darum wird truly_random_value() verwendet, um Seeds zu
#          erzeugen, die wiederum schnellere RNGs initialisieren.
