#!/usr/local/bin/perl -w
# refs-display.pl -- Zeigt "nackte" Referenzen.

use strict 'refs';       # Symbolische Referenzen verbieten

# Deklarieren wir erst einige Speicherobjekte
my $skalvar = 1234; my $string = "this is a test";
my @list    = qw (hello world);
my %phones  = ( john => '555-2321', mary => '555-9234' );
my $hptr    = \%phones;
sub greetings { print "hello world!\n"; }

# Nun geben wir deren Referenzn aus.
print "Scalar    Pointer: ", \$skalvar,   "\n";
print "Array     Pointer: ", \@list,      "\n";
print "Hash      Pointer: ", \%phones,    "\n";
print "Sub       Pointer: ", \&greetings, "\n";
print "FH        Pointer: ", \*STDIN,     "\n";
print "Pointer   Pointer: ", \$hptr,      "\n";
print "Lvalue    Pointer: ", \substr($string, 5, 2), "\n\n";

print "Anon-List Pointer: ", [ 'hello', 'world' ], "\n";
print "Anon-Hash Pointer: ", { I => 1, II => 2 },  "\n";
print "Anon-Sub  Pointer: ", sub { die "now!" },   "\n";
print "Scalconst Pointer: ", \4711,                "\n";
