#!/usr/local/bin/perl -w
# self-output.pl -- Selbstgespraeche, Ausgabefilter

$rval = open(OUTFILTER, "|-");
die "can't fork(): $!\n" unless defined $rval;

if ($rval) {
    # Elternprozess. Kindprozess hat PID $rval
    # Wir arbeiten wie gehabt mit OUTFILTER
    print OUTFILTER "hello world!\n";
    print OUTFILTER "another string\n";
} else {
    # Kindprozess. Elternprozess hat PID getppid()
    # Eingabe: <STDIN> kommt vom Elternprozess OUTFILTER
    while (<STDIN>) {
	print "Filtered: ", uc($_);
    }
}
