#!/usr/local/bin/perl -w
# typglob.pl -- Uebergabe von Filehandles an Funktionen mit Typglobs

sub logger {
    local *FH = shift;            # Achtung! local(), nicht my()!
    my $message = shift;          # Die Nachricht

    print FH "Logging: $message\n";
}

open (TMPFILE, "> /tmp/$$.test") or die "can't open!: $!\n";
logger(STDOUT, "Hello Stdout!");
logger(STDERR, "Hello Stderr!");
logger(*TMPFILE, "Hello temporary file!");
