#!/usr/local/bin/perl -w
# umask-demo.pl -- Zeigt die Verwendung der umask

use Fcntl;                             # Importiert die O_*-Konstanten

$old_umask = umask;                    # Alte umask
printf "Old umask: %o\n", $old_umask;

$old_umask = umask(0077);              # Neue umask: 077

# Durch die umask 077 wird 0666 in 0600 transformiert.
# Dadurch erhalten wir eine private Datei.
sysopen(PRIVFH, "/tmp/zzz", O_CREAT | O_RDWR, 0666)
    or die "can't open /tmp/zzz: $!\n";
print PRIVFH "Hello, my diary\n";
close PRIVFH;
