#!/usr/local/bin/perl
# wfreq.pl -- Ermittelt die Haeufigkeit aller Woerter

while (defined ($line = <>)) {
    chomp $line;                    # abschliessendes Newline entfernen
    @words = split(/\s/, $line);    # anhand Whitespaces aufsplitten

    foreach $word (@words) {
        $word =~ s/\W//g;           # alle Nicht-Wort-Zeichen loeschen
	next if $word eq '';        # Leere Woerter sind uninteressant
        $freq{lc($word)}++;         # Haeufigkeit case-insensitive.
    }
}

# Liste alphabetisch ausgeben
foreach $key (sort keys %freq) {
    print "$key: $freq{$key}\n";
}
