# Before `make install' is performed this script should be
# runnable with `make test'. After `make install' it should
# work as `perl test.pl'

############# We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..7\n"; }
END {print "not ok 1\n" unless $loaded;}
use ST::Beam;
$loaded = 1;
print "ok 1\n";

############################################# End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

my $ofh = select(STDERR);   # Ausgaben temporaer nach STDERR

beam_me_down();                         print $ofh "ok 2\n";
beam_me_up();                           print $ofh "ok 3\n";
ST::Beam::check_transporter();          print $ofh "ok 4\n";
ST::Beam::reverse_beaming();            print $ofh "ok 5\n";
ST::Beam::config_biofilter();           print $ofh "ok 6\n";
ST::Beam::schwarzian_transform();      print $ofh "ok 7\n";

select($ofh);               # Ausgabe zurueck nach STDOUT
