# ANearlyPerfectClass.pm -- Objektattribute in anonymen Arrays

package ANearlyPerfectClass;

sub new {
    my $classname = shift;
    my $ptr       = [];         # Anonymes Array fuer Attribute
    bless($ptr, $classname);
    $ptr->_init(@_);            # Anonymes Array fuellen.
    return $ptr;
}

sub _init {
    my $objptr = shift;        # Welches Objekt initialisieren?
    push(@{ $objptr }, @_);    # Wow! Das ging aber schnell!
}

sub getAttribNr {
    my $objptr = shift;        # Von welchem Objekt?
    my $attrnr = shift;        # Das wievielte Attribut?

    return $objptr->[$attrnr]; # Okay, das ist es.
}

sub setAttribNr {
    my $objptr = shift;        # Von welchem Objekt?
    my $attrnr = shift;        # Das wievielte Attribut?
    my $newval = shift;        # Der neue Wert

    $objptr->[$attrnr] = $newval;   # Genau, den Wert aendern!
}

1;
