# TimeGreeting.pm -- TIESCALAR-Klasse zum zeitabhaengigen Gruss

package TimeGreeting;
use Tie::Scalar;
use vars qw(@ISA);

@ISA = qw(Tie::StdScalar);

sub FETCH {
    my $hh = (localtime(time()))[2];
    return "Wow, you're up late" if $hh < 6 or $hh > 23;
    return "Good morning"        if $hh < 12;
    return "Good afternoon"      if $hh < 18;
    return "Good evening";
}

1;
