#!/usr/local/bin/perl -w
# tkbitmaps.pl -- shows Tk's predefined Bitmaps

use strict;
use Tk;

my @BITMAPS = qw ( error gray25 gray50 hourglass info
		  questhead question warning );

my ($mw, $bm);

# erzeugen wir ein Top-Level Fenster
$mw = MainWindow->new();

# nun erzeugen wir ein Label pro Bitmap
foreach $bm (@BITMAPS) {
    $mw->Label(-bitmap => $bm)
	->pack(-side => 'left',
               -padx => '0.5c');
}

# main event loop
MainLoop;
