#!/usr/local/bin/perl -w
# tkmessage.pl -- a simple message widget

use strict;
use Tk;

# declaration of our variables
my ($mw, $m1, $m2, $m3, $btnxit);
my ($mess_1, $mess_2, $mess_3);

# first of all, create a main window
$mw = MainWindow->new();

# create some message objects
$mess_1 = "this message is left-justified and is okay";
$mess_2 = "this other message is now horizontally centered";
$mess_3 = "this last message is justified to the right";

$m1 = $mw->Message(-text    => $mess_1,
                   -width   => "3.5c",
                   -justify => "left");
$m2 = $mw->Message(-text    => $mess_2,
                   -width   => "3.5c",
                   -justify => "center");
$m3 = $mw->Message(-text    => $mess_3,
                   -width   => "3.5c",
                   -justify => "right");
$m1->pack(-side => "left");
$m2->pack(-side => "left");
$m3->pack(-side => "left");

# create an exit button
$btnxit = $mw->Button(-text    => "Exit",
                      -command => sub { exit 0 });
$btnxit->pack(-fill => "both", -expand => "both",
              -padx => "1c");

# enter the main event collecting loop
MainLoop;
