#!/usr/local/bin/perl -w
# autoload1.pl -- Eine benutzerdefinierte AUTOLOAD-Funktion

sub AUTOLOAD {
    my (@theargs) = @_;

    my ($package, $filename, $line, $subroutine) = caller(1);
    print <<EOAUTO;
  AUTOLOAD() called!
  Called from (Package)(Filename)(Line): ($package)($filename)($line)
  Calling Function : $subroutine
  Called Function  : $AUTOLOAD (@theargs)
EOAUTO

    # Hier folgt die spezielle Behandlung der aufgerufenen Funktion...
    return "dynamic!";
}

sub mycaller {
    print "mycaller(): now calling non-defined function...\n";
    $result = whaddayawant('hello', 'world');
    print "mycaller(): still living\n";
    print "mycaller(): non-def. func. Retval: $result\n";
}

mycaller();                         # Es geht los!
