#!/usr/local/bin/perl -w
# cgi-input.pl -- Liest Daten von einem Eingabeformular.

use CGI qw(:standard);
use strict;

unless (param()) {
    # Es liegen noch keine Daten vor; Formular generieren.
    print header,
    start_html('Register yourself!'),
    h1('Please fill in the following data'),
    start_form,
    table(
      Tr( td([ "Your name",
               textfield({-name => 'myname', -size => 30}) ])),
      Tr( td([ "Your e-mail address",
               textfield({-name => 'mymail', -size => 30}) ])),
    ),
    submit({value => 'Register!'}),
    end_form,
    end_html;
} else {
    # Es liegen Daten zur Abholung bereit. Auswerten und antworten.
    my ($name, $email) = (param('myname'), param('mymail'));

    print header,
    start_html('Your Data'),
    h1('Thank you!'),
    "You have been registered. Your data:", p,
    em($name), br, strong($email),
    end_html;
}
