#!/usr/local/bin/perl
# chisquare-rand.pl -- Testet die Guete der rand()-Funktion.

use Math::TrulyRandom;               # (CPAN) Fuer einen guten Seed
use Statistics::ChiSquare;           # (CPAN) Chi-Quadrat-Test

srand(truly_random_value());         # Gute Initialisierung

# Wir wuerfeln $ARGV[0]mal und zaehlen die Vorkommen:
for (1 .. $ARGV[0]) { $anzahl[int(rand(6))]++; }

# Nun schauen wir, ob die Distribution wirklich gut war:
print "@anzahl\n";
print chisquare(@anzahl), "\n";
