#!/usr/local/bin/perl -w
# cisco-static-routes.pl -- Erzeugt bzw. entfernt statische Routen

my $oldconfig = shift;
my $newconfig = shift;

@diff = sort `diff $oldconfig $newconfig`;
foreach (@diff) {
    next if not /^[<>]\s/;    # ed(1)-Kommandos ignorieren (!)
    s/^<\s/no /;              # alte Routen mit 'no ip...' entfernen
    s/^>\s//;                 # neue Routen eintragen
    print;                    # und ausgeben.
}
