#!/usr/local/bin/perl -w
# closure2.pl -- Aufrufzaehler und static-Variablen mit Closures

sub make_closure {
    my $name    = shift;          # Name fuer Funktion
    my $counter = 0;              # Zaehler mit Initialwert
    return sub {
	++$counter;
	print "$name() called $counter times...\n";
    }
}

$foo = make_closure("foo");
$bar = make_closure("bar");

&$foo(); &$foo(); &$foo();
&$bar(); &$foo(); &$bar();
