#!/usr/local/bin/perl -w
# copy-deep.pl -- Deep Copy: Tiefe rekursive Kopie
#                 einer verschachtelten Struktur
#                 mit Hilfe des CPAN-Moduls Storable

use Storable qw(dclone);            # CPAN-Modul

@LoLoL = ( [ [ 1 , 2 , 3 ], [ 4 , 5 , 6 ], [ 7 , 8 , 9 ] ],
           [ ['a','b','c'], ['d','e','f'], ['g','h','i'] ],
           [ ['A','B','C'], ['D','E','F'], ['G','H','I'] ] );

@copyLoLoL = map { dclone($_) } @LoLoL;   # Tiefe Kopie

print $copyLoLoL[2][1][0], "\n";    # Okay, 'D'
$copyLoLoL[2][1][0] = 'X';          # in @copyLoLoL geaendert

print $LoLoL[2][1][0], "\n";        # Okay, immer noch 'D'.
