/* embedmain.c -- Eine kleine Testumgebung fuer das Embedding */

/*
 * Dieses Programm uebersetzen Sie am besten wie folgt:
 * gcc -o embedmain embedmain.c testN.c \
 *     `perl -MExtUtils::Embed -e ccopts -e ldopts`
 * wobei testN.c die Datei mit der Funktion doit() ist.
 *
 */

#include <EXTERN.h>
#include <perl.h>

void doit(void);                   /* Unsere externe Funktion */
                                   /* in testN.c definiert */

static PerlInterpreter *my_perl;   /* Eine Instanz des Interpreters */
int main(int argc, char *argv[], char *env[]) {
  my_perl = perl_alloc();          /* Platz reservieren */
  perl_construct(my_perl);         /* Interpreter initialisieren */
  /* Perl-Skript mit Funktionen parsen und kompilieren */
  perl_parse(my_perl, NULL, argc, argv, (char **)NULL);

  doit();                          /* Unsere Aufrufe */

  perl_run(my_perl);               /* Falls das Programm ein */
                                   /* Hauptprogramm hat. */
  perl_destruct(my_perl);          /* Das war's */
  perl_free(my_perl);              /* Platz wieder freigeben */

  return 0;
}
