#!/usr/local/bin/perl -w
# fetch-url.pl -- Besorgt eine URL ueber das Netz mit Tie::URL

use Tie::URL;

tie %url, 'Tie::URL',
    UserMail  => 'user@somewhere.org',
    # CacheOff => 1,
    ProxyOff  => 1,
    Timeout   => 10
    or die "can't tie to Tie::URL!\n";

print "URL? ";
while (<>) {
    chomp;
    print $url{$_};
    print "URL? ";
}

print "Queried and cached URLs:\n";
print join("\n", sort keys %url), "\n";
