#!/usr/local/bin/perl -w
# fifo-client.pl -- Sendet Auftraege in eine FIFO hinein.

use constant FIFOPATH => "/tmp/fifo-demo";
use Fcntl qw(O_WRONLY);

sysopen(FIFOFD, FIFOPATH, O_WRONLY) or die "can't write: $!\n";

while (<>) {
    my ($tofifo, $towrite) = ($_, length($_));
    do {
        my $written = syswrite(FIFOFD, $tofifo, $towrite);
        $towrite -= $written;
        $tofifo   = substr($tofifo, $towrite);
       } while $towrite;
}
