#!/usr/local/bin/perl -w
# fifo-server.pl -- Erzeugt eine FIFO und wartet auf Auftraege.

use constant FIFOPATH => "/tmp/fifo-demo";
use POSIX qw(mkfifo);
use Fcntl qw(O_RDONLY);

unlink(FIFOPATH);
mkfifo(FIFOPATH, 0666) or die "can't create FIFO: $!\n";

sysopen(FIFOFD, FIFOPATH, O_RDONLY) or die "can't read: $!\n";

while (1) {
    if (sysread(FIFOFD, $fromfifo, 1) == 1) {
        syswrite(STDOUT, $fromfifo, 1);
    }
}
