#!/usr/local/bin/perl
# file-kglob.pl -- Zeigt die Verwendung des File::KGlob-CPAN-Moduls

use File::KGlob qw(glob kglob);                        # CPAN-Modul

@cloaked = glob(".*");            # Alle versteckten Dateien
@files   = kglob("{.,[A-Z]}*");   # .* und [A-Z]*
@root    = kglob("~root/*");      # ~root/*: Alle Dateien von root

print "Cloaked: (", join(' ', @cloaked), ")\n\n";
print "Files  : (", join(' ', @files), ")\n\n";
print "Root   : (", join(' ', @root), ")\n";
