#!/usr/local/bin/perl -w
# freeze-thaw-freeze.pl -- Stringifiziert mittels freeze()

use FreezeThaw qw(freeze);                  # CPAN-Modul

# Eine komplexe, zirkulaere Datenstruktur.
$f = { Cite    => [ qw(a circular list) ],
       Roman   => { I => 1, II => 2, III => 3 },
       Element => 'a rose is' };
$f->{'Next'} = \$f;    # a rose is a rose is a rose is a ...

$str = freeze($f);
print $str, "\n";
