#!/usr/local/bin/perl -w
# hol.pl -- Hash von Listen: Mehrere Werte pro Schluessel = Multihash

use Data::Dumper;                      # Standardmodul

$phash = { "Farben" => ['Red', 'Green', 'Blue'],
           "Zahlen" => ['Eins', 'Zwei', 'Drei'] };

# Ein spezielles Element zu einem Schluessel abfragen
print $phash->{'Farben'}[1], "\n";     # Green

# Liste von Werten erweitern
push(@{$phash->{'Zahlen'}}, 'Vier');

# Hash mit Autovivikation erweitern:
push(@{$phash->{'Obst'}}, "Apfel", "Orange", "Birne");

# Und nun alles ausgeben:
print Dumper($phash);
