#!/usr/local/bin/perl -w
# ipc-shareable1.pl -- Zeigt die Verwendung des IPC::Shareable-Moduls.

use IPC::Shareable;                        # CPAN-Modul
use constant MYGLUE => 'Guel';             # Erkennungszeichen.

tie($s, IPC::Shareable, MYGLUE, { create => 1, mode => 0666 })
    or die "can't tie to shared memory: $!\n";

# Eine komplexe Datenstruktur...
$ptr = {
    Name => 'Smythe', Phone => '555-1234',
    Zip  => '90297',  Peers => [ 'Jim', 'Sandy', 'Alice' ] };

# ...in den gemeinsamen Speicher stellen.
$s = $ptr;
