#!/usr/local/bin/perl -w
# ipc-shareable2.pl -- Zeigt die Verwendung des IPC::Shareable-Moduls.
#                      Liest das Shared-Memory-Segment wieder aus.

use Data::Dumper;
use IPC::Shareable;                        # CPAN-Modul
use constant MYGLUE => 'Guel';             # Erkennungszeichen.

tie($s, IPC::Shareable, MYGLUE)
    or die "can't tie to shared memory: $!\n";

$ptr = $s;
print Dumper($ptr);
