#!/usr/local/bin/perl -w
# ipcmsg2.pl -- Fuellt eine Message-Queue mit Werten

use IPC::SysV qw(ftok);
use IPC::Msg;
use constant RENDEZVOUS => "/etc/group";
use constant RVID       => 121;

@MESSAGES =
    (4 => "okay",   3 => "a very long message",
     5 => "level",  6 => "rm",    4 => "cp",
     5 => "floppy", 2 => "mouse", 3 => "hihi",
     3 => "haha",   8 => "mars",  2 => "terra",
     5 => "moon",   3 => "world", 3 => "hallo");
 
# Stelle erst eine Verbindung zur Message-Queue her.
# Hinweis: Wir erzeugen Sie *nicht*; dies wurde bereits
#   von ipcmsg1.pl erledigt.
$msg = new IPC::Msg(ftok(RENDEZVOUS, RVID), 0);

# Fuelle die Message-Queue mit @MESSAGES
#   Wir verwenden dazu die Methode snd().
#   Typ jeder Nachricht: long, gefolgt von einem String.
for ($i=0; $i < $#MESSAGES; $i+=2) {
    my ($prio, $text) = @MESSAGES[$i,$i+1];
    $msg->snd($prio, $text, 0);
}
