#!/usr/local/bin/perl -w
# ixhash.pl -- Erhaltung der Eingabereihenfolge in Hashes: Tie::IxHash

use Tie::IxHash;                                          # CPAN-Modul

@mykeys = qw (one two three four five);
@myvals = qw (I II III IV V);

%o_hash = (); tie %o_hash, Tie::IxHash;   # Behalte Einfuegereihenfolge
%n_hash = ();                             # Keine besondere Reihenfolge

for $i (0 .. $#mykeys) {
    $o_hash{$mykeys[$i]} = $myvals[$i];   # Behalte die Reihenfolge
    $n_hash{$mykeys[$i]} = $myvals[$i];   # hier aber nicht
}

# Probieren wir es mit den Schluesseln:
print "%o_keys: ",
    join(',', map {"($_,$o_hash{$_})"} keys %o_hash), "\n";
print "%n_keys: ",
    join(',', map {"($_,$n_hash{$_})"} keys %n_hash), "\n";
