#!/usr/local/bin/perl -w
# local.pl -- Zeigt die Verwendung des dynamischen Scopings mit local:

$var = 4711;                # Globale Variable
{
    local $var = 9999;      # dynamisch lokale Variable
    print "Lokal: $var\n";  # Lokal: 9999
    myfunc();               # bekommt $var: 9999
                            # veraendert in $var: 8888
    print "$var\n";         # 8888, wegen myfunc()
}
print "Global: $var\n";     # Global: 4711

sub myfunc {
    print "Alt: $var\n";    # Alt: 9999
    $var = 8888;            # local $var aendern
}
