#!/usr/local/bin/perl -w
# prompter.pl -- Uebergabe von Referenzen auf Filehandles

sub prompt {
   my $src    = shift;    # Von wo wird eingelesen?
   my $dst    = shift;    # Wohin geht der Prompt?
   my $prompt = shift;    # Der Prompt-Text

   select((select(*{$dst}), $|=1)[0]);   # Pufferung ausschalten.
   print $dst $prompt;                   # Gib den Prompt aus.
   return scalar <$src>;                 # Lesen und zurueckgeben.
}

# Eine moegliche Verwendung
$erg = prompt(\*STDIN, \*STDOUT, "Your answer: ");
print "You said: $erg";
