#!/usr/local/bin/perl
# random-rand.pl -- Zeigt die Verwendung der rand()-Funktion.

# Erzeuge eine Zufallszahl zwischen [0,1[
print "rand() [0,1[: ", rand(), "\n";

# Erzeuge fuenf Zufallszahlen zwischen [0, 7[
for (1 .. 5) { print "rand() [0,7[: ", rand(7), "\n"; }

# Ergebnis eines Wuerfels (ganzzahlig zwischen 1 und 6):
print "Wuerfel: ", int(rand(6))+1, "\n";

# random_range() erzeugt ganzzahlige Zufallszahlen
#                zwischen n und m (inklusive) (n < m):
sub random_range {
    my $low = shift;       # Untere Schranke
    my $hi  = shift;       # Obere Schranke

    return int( rand( $hi - $low + 1 ) ) + $low;
}

for (1 .. 5) { print "random_range(5,10): ",
               random_range(5,10), "\n"; }
