#!/usr/local/bin/perl
# random-srand.pl -- Zeigt den Sinn der srand()-Funktion

srand(12345);       # Fester Seed
for (1 .. 5) { print "$_: ", rand(), "\n"; }

print "-" x 30, "\n";

srand(12345);       # Denselben Seed verwenden
for (1 .. 5) { print "$_: ", rand(), "\n"; }

# Bei gleichem Seed kommt dieselbe Folge von Zufallszahlen heraus.
# Fehlt die Initialisierung des Seeds, wird srand() implizit beim
# ersten Aufruf von rand() aufgerufen, und zwar ohne Argumente.
# Dann wird eine Kombination der aktuellen Zeit, der Prozess-ID
# und weiterer Zufallskomponenten verwendet.
