#!/usr/local/bin/perl -w
# regexp-quantors.pl -- Verwendung von Quantifiern in Regexps.

$var = "Hello 0123456789 Number";

print "-------- greedy quantors: ------------- \n";
($nv1 = $var) =~ s/\d*/X/;        print '\d*:     ',  ">$nv1<\n";
($nv2 = $var) =~ s/\d+/X/;        print '\d+:     ',  ">$nv2<\n";
($nv3 = $var) =~ s/\d?/X/;        print '\d?:     ',  ">$nv3<\n";
($nv4 = $var) =~ s/\d{3}/X/;      print '\d{3}:   ',  ">$nv4<\n";
($nv5 = $var) =~ s/\d{3,}/X/;     print '\d{3,}:  ',  ">$nv5<\n";
($nv6 = $var) =~ s/\d{3,5}/X/;    print '\d{3,5}: ',  ">$nv6<\n";

print "-------- non-greedy quantors ---------- \n";
($nv1 = $var) =~ s/\d*?/X/;       print '\d*?:     ', ">$nv1<\n";
($nv2 = $var) =~ s/\d+?/X/;       print '\d+?:     ', ">$nv2<\n";
($nv3 = $var) =~ s/\d??/X/;       print '\d??:     ', ">$nv3<\n";
($nv4 = $var) =~ s/\d{3}?/X/;     print '\d{3}?:   ', ">$nv4<\n";
($nv5 = $var) =~ s/\d{3,}?/X/;    print '\d{3,}?:  ', ">$nv5<\n";
($nv6 = $var) =~ s/\d{3,5}?/X/;   print '\d{3,5}?: ', ">$nv6<\n";
