#!/usr/local/bin/perl -w
# self-input.pl -- Selbstgespraeche, Eingabefilter

$rval = open(INFILTER, "-|");
die "can't fork(): $!\n" unless defined $rval;

if ($rval) {
    # Elternprozess. Kindprozess hat PID $rval
    # Wir arbeiten wie gehabt mit INFILTER, um Daten einzulesen
    while (<INFILTER>) {
	print "Parent: $_";
    }
} else {
    # Kindprozess. Elternprozess hat PID getppid()
    # Eingabe: <STDIN> kommt von normaler Standardeingabe
    # Ausgabe: <STDOUT> geht nach INFILTER von Elternprozess
    $. = 1;                      # Eingabezeilen
    while (<STDIN>) {
	print STDOUT "$.: $_";
    }
}
