#!/usr/local/bin/perl -w
# show-argv.pl -- Zeigt die Argumente der Kommandozeile an:

# Direktes Durchlaufen des Argumentenarrays:
foreach (@ARGV) { print "Argment: $_\n"; }

# Eine andere Methode, @ARGV zu durchlaufen:
print join("\n", map { "\$ARGV[$_]: $ARGV[$_]" } 0 .. $#ARGV), "\n";

# Zerstoererisches Durchlaufen von @ARGV mit shift():
while (@ARGV) { print "Arg: ", shift, "\n"; }  # Anzeige
while (@ARGV) { print "Arg: ", shift, "\n"; }  # Keine Anzeige mehr:
                                               # da @ARGV leer.
