#!/usr/local/bin/perl -w
# shuffle-viahash.pl -- Ordnet ein Array zufaellig mit Hashes

@input = 'a' .. 'z';                # Umzuordnende Eingabeliste

# Alle Elemente von @input in einem Hash speichern.
@myhash{@input} = ("") x @input;   # Hash-Slices

# Shuffle-Algorithmus:
while ((@remains) = keys %myhash) {
    $myrand = $remains[rand @remains];
    push(@output, $myrand);
    delete $myhash{$myrand};
}

# @output enthaelt die Elemente von @input in zufaelliger
# Reihenfolge. Diese geben wir hier aus:
print "input : ", join("", @input),  "\n";
print "output: ", join("", @output), "\n";
