#!/usr/local/bin/perl -w
# sort-ip.pl -- Sortiert IP-Adressen in Dotted-Quad-Notation
#               mit Hilfe der Schwartzschen Transformation

use strict 'refs';

chomp(@ip = <>);               # Liste von IP-Adressen einlesen

@sip = map  { $_->[0] }
       sort { $a->[1] <=> $b->[1] or $a->[2] <=> $b->[2] or
              $a->[3] <=> $b->[3] or $a->[4] <=> $b->[4] }
       map  { [ $_, split /\./ ] }
       @ip;

print join "\n", @sip;
print "\n";
