#!/usr/local/bin/perl -w
# spell-incore.pl -- Rechtschreibpruefung mit Hash-Woerterbuch.

# Ort des Woerterbuchs. Ein Wort pro Zeile.
$dict = '/usr/share/dict/words';

# Liste der zu ueberpruefenden Woerter.
# Sie wuerde normalerweise aus einer Parsing-Funktion kommen.
@mywords = qw ( this is okay but nottt thhat right);

# Wir lesen das Woerterbuch in dem Hash %words ein:
open (DICT, "< $dict") or die "can't open $dict: $!\n";
while (defined ($line=<DICT>)) {
    chomp $line;
    $words{$line} = "";
}
close DICT;

# Nun sind wir bereit, unsere Wortliste zu ueberpruefen:
foreach $word (@mywords) {
    print "Misspelled: $word\n" if not exists $words{$word};
}
