#!/usr/local/bin/perl -w
# spell-searchdict.pl -- Benutzt Search::Dict zur Woerterbuchsuche

use Search::Dict;                                 # Standardmodul

$dict = '/usr/share/dict/words';                  # Muss sortiert sein
open (DICT, "< $dict") or die "can't open $dict: $!\n";
print "Enter a word: "; $word = <STDIN>; chomp $word;
$pos = look(*DICT, $word);
if ($pos == -1) {
    print "An Error occured\n";
} else {
    $found = <DICT>; chomp $found;
    print "Entry found: >$found<\n";
}

close DICT;
