#!/usr/local/bin/perl -w
# storable-many.pl -- Mehrere Datenstrukturen mit Storable speichern.

use Storable qw(nstore retrieve);

# Wir deklarieren Datenstrukturen mit Abhaengigkeiten zwischen ihnen.
%address = ( Street => 'Elm street',  Zip => 90210 );
%freddy  = ( Name   => 'Krueger', Address => \%address );

nstore [ \%address, \%freddy ], '/tmp/nightmare' or die "Bang!\n";
$copycat = retrieve('/tmp/nightmare')            or die "Bing!\n";

print $copycat->[1]->{'Address'}->{'Street'}, "\n";     # Elm street
