#!/usr/local/bin/perl
# string8bitsort.pl -- Sortierung von Strings unter Beruecksichtigung
#                      internationaler Zeichen (z.B. Umlaute)

@woerter = ( "Wasser", "\326l", "Essig",
             "\334bung", "Zucchini", "\304hren" );

print "Unsortiert      : ", join(' ', @woerter), "\n";

use locale;
print "Sortiert (intl.): ", join(' ', sort @woerter), "\n";

no locale;
print "Sortiert (ascii): ", join(' ', sort @woerter), "\n";

# Unsortiert      : Wasser Oel Essig Uebung Zucchini Aehren
# Sortiert (intl.): Aehren Essig Oel Uebung Wasser Zucchini
# Sortiert (ascii): Essig Wasser Zucchini Aehren Oel Uebung
