#!/usr/local/bin/perl -w
# symbol.pl -- Verwendet das Standardmodul Symbol fuer Filehandles

use Symbol;                        # Standardmodul

sub wrapopen {
    my $path = shift;
    my $symbol = gensym;
    open ($symbol, "< $path") or die "can't open $path: $!\n";
    return $symbol;
}

local $handle = wrapopen(shift @ARGV);
print <$handle>;
