#!/usr/local/bin/perl -w
# tempfile-io.pl -- Temporaere Datei anlegen, ohne den Namen zu kennen

use IO::File;                # new_tmpfile()-Methode
use POSIX;                   # wg. SEEK_SET, siehe unten

$fh = IO::File->new_tmpfile or die "can't make tempfile: $!\n";
$fh->autoflush(1);           # Pufferung ausschalten

# Dann verwenden:
print $fh "Never mount a scratch monkey!\n";
seek($fh, 0, SEEK_SET);      # SEEK_SET in POSIX-Modul, 0
$quote = <$fh>;
print "Quote: $quote";
