/* test4.c -- Funktion mit mehreren Argumenten */
/*            und einem Rueckgabewert          */
/*            Mit embedmain.c zusammenlinken.  */
/*            Mit c-test4.pl aufrufen.         */

#include <EXTERN.h>
#include <perl.h>

#include <stdio.h>
#include <string.h>

void doit(void) {
  dSP;

  char inputstring[80];
  char *uuencoded;
  SV   *result;
  int  nvals;

  printf("Inputstring: ");
  fgets(inputstring, sizeof(inputstring)-1, stdin);
  inputstring[sizeof(inputstring)-1] = '\0';

  ENTER;
    SAVETMPS;
      PUSHMARK(SP);
        XPUSHs(sv_2mortal(newSVpv("u", 1)));
        XPUSHs(sv_2mortal(newSVpv(inputstring, 0)));
      PUTBACK;

      nvals = perl_call_pv("myconvert", G_SCALAR);
      SPAGAIN;

      if (nvals != 1)
	croak("This should not happen!\n");

      result = POPs;                    /* Das Ergebnis ist hier */
      uuencoded = SvPV(result, PL_na);  /* PL_na oder int uulen  */

      printf("uuencoded:>%s<\n", uuencoded);
 
      PUTBACK;
    FREETMPS;
  LEAVE;
}
