#!/usr/local/bin/perl
# upcase8bit.pl -- Konvertiert 8-Bit-Strings in Grossschreibung.
#                  Beruecksichtigt auch Umlaute

$var8bitlow = "\344\366\374\337 umlaute";  # ae-oe-ue-ss-Umlaute
$var8bithi  = "\304\326\334  UMLAUTE";     # AE-OE-UE-Umlaute

print "Klein: >$var8bitlow<, Gross: >$var8bithi<\n";

use locale;
print "Mit  locale: uc:      >", uc($var8bitlow), "<\n";
print "Mit  locale: lc:      >", lc($var8bithi),  "<\n";
print "Mit  locale: ucfirst: >", ucfirst($var8bitlow), "<\n";
print "Mit  locale: lcfirst: >", lcfirst($var8bithi),  "<\n";

no locale;
print "Ohne locale: uc:      >", uc($var8bitlow), "<\n";
print "Ohne locale: lc:      >", lc($var8bithi),  "<\n";
print "Ohne locale: ucfirst: >", ucfirst($var8bitlow), "<\n";
print "Ohne locale: lcfirst: >", lcfirst($var8bithi),  "<\n";
